/*
 *  Copyright (C) 2014-2018 Team Kodi
 *  This file is part of Kodi - https://kodi.tv
 *
 *  SPDX-License-Identifier: GPL-2.0-or-later
 *  See LICENSES/README.md for more information.
 */

#include "CompileInfo.h"

#include <algorithm>
#include <cstddef>
#include <string>


int CCompileInfo::GetMajor()
{
  return 18;
}

int CCompileInfo::GetMinor()
{
  return 9;
}

const char* CCompileInfo::GetPackage()
{
  return "org.xbmc.kodi";
}

const char* CCompileInfo::GetClass()
{
  static std::string s_classname;

  if (s_classname.empty())
  {
    s_classname = CCompileInfo::GetPackage();
    std::replace(s_classname.begin(), s_classname.end(), '.', '/');
  }
  return s_classname.c_str();
}

const char* CCompileInfo::GetAppName()
{
  return "Kodi";
}

const char* CCompileInfo::GetSuffix()
{
  return "";
}

const char* CCompileInfo::GetSCMID()
{
  return "20201023-20200727-45686bd";
}

const char* CCompileInfo::GetCopyrightYears()
{
  return "2005-2020";
}

std::string CCompileInfo::GetBuildDate()
{
  const std::string bdate = "20201023";
  if (!bdate.empty())
  {
    std::string datestamp = bdate.substr(0, 4) + "-" + bdate.substr(4, 2) + "-" + bdate.substr(6, 2);
    return datestamp;
  }
  return "1970-01-01";
}

const char*  CCompileInfo::GetVersionCode()
{
  return "18.9.0";
}
